import request from '@/utils/request'

// 查询系统配置列表
export function listSiteConfig(query) {
  return request({
    url: '/system/SiteConfig/list',
    method: 'get',
    params: query
  })
}

// 查询系统配置详细
export function getSiteConfig(id) {
  return request({
    url: '/system/SiteConfig/' + id,
    method: 'get'
  })
}

// 新增系统配置
export function addSiteConfig(data) {
  return request({
    url: '/system/SiteConfig',
    method: 'post',
    data: data
  })
}

// 修改系统配置
export function updateSiteConfig(data) {
  return request({
    url: '/system/SiteConfig',
    method: 'put',
    data: data
  })
}

// 删除系统配置
export function delSiteConfig(id) {
  return request({
    url: '/system/SiteConfig/' + id,
    method: 'delete'
  })
}
